API Reference

Purchase Orders

Replenish stock from suppliers.

7 endpoints· Auth: API Key
get/api/v1/store/integrations/purchase-orders API Key

Get purchase-orders

Query parameters

status
PurchaseOrderStatus

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/purchase-orders" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/purchase-orders API Key

Create purchase-orders

Request body

application/json
{
  "supplierId": "00000000-0000-0000-0000-000000000000",
  "referenceNumber": "string",
  "orderDate": "2026-06-18T16:11:33.790Z",
  "expectedDeliveryDate": "2026-06-18T16:11:33.790Z",
  "notes": "string",
  "additionalFees": 0,
  "items": [
    {
      "storeProductId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "unitCost": 0,
      "notes": "string"
    }
  ]
}
supplierId
string (uuid)
referenceNumber
string
orderDate
string (date-time)
expectedDeliveryDate
string (date-time)
notes
string
additionalFees
number (double)
items
PurchaseOrderItemRequest[]

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/purchase-orders" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "supplierId": "00000000-0000-0000-0000-000000000000",
  "referenceNumber": "string",
  "orderDate": "2026-06-18T16:11:33.789Z",
  "expectedDeliveryDate": "2026-06-18T16:11:33.790Z",
  "notes": "string",
  "additionalFees": 0,
  "items": [
    {
      "storeProductId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "unitCost": 0,
      "notes": "string"
    }
  ]
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/purchase-orders/{id} API Key

Get id

Path parameters

idrequired
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/purchase-orders/{id}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/store/integrations/purchase-orders/{id} API Key

Update id

Path parameters

idrequired
string (uuid)

Request body

application/json
{
  "status": "draft",
  "notes": "string",
  "additionalFees": 0,
  "expectedDeliveryDate": "2026-06-18T16:11:33.792Z"
}
status
PurchaseOrderStatus
notes
string
additionalFees
number (double)
expectedDeliveryDate
string (date-time)

Responses

200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/purchase-orders/{id}" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "status": "draft",
  "notes": "string",
  "additionalFees": 0,
  "expectedDeliveryDate": "2026-06-18T16:11:33.791Z"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/store/integrations/purchase-orders/{id} API Key

Delete id

Path parameters

idrequired
string (uuid)

Responses

200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/purchase-orders/{id}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/purchase-orders/{id}/attachments API Key

Create attachments

Path parameters

idrequired
string (uuid)

Request body

application/json
{
  "fileName": "string",
  "fileUrl": "string",
  "fileSize": 0
}
fileName
string
fileUrl
string
fileSize
integer (int64)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/purchase-orders/{id}/attachments" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "fileName": "string",
  "fileUrl": "string",
  "fileSize": 0
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/store/integrations/purchase-orders/{id}/attachments/{attachmentId} API Key

Delete attachmentId

Path parameters

idrequired
string (uuid)
attachmentIdrequired
string (uuid)

Responses

200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/purchase-orders/{id}/attachments/{attachmentId}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu